version: '3.9'
services:
    mmdvm:
        hostname: 505-p25
        image: 'dvswitch'
        restart: unless-stopped
        volumes:
          - /config/505/analog_bridge-p25:/opt/Analog_Bridge
          - /config/505/mmdvm_bridge-p25:/opt/MMDVM_Bridge
          - /config/505/p25gateway:/opt/P25Gateway
          - /var/log/505:/var/log/mmdvm
          - /data/505/mmdvm/:/var/lib/mmdvm
          - /data/505/dvswitch/:/var/lib/dvswitch
        environment:
          - MMDVM_BRIDGE=1
          - ANALOG_BRIDGE=1
          - P25GATEWAY=1
          - AnalogBridgeLogDir=/var/log/mmdvm
          - P25GWCFG=/opt/P25Gateway/P25Gateway.ini
        networks:
          stream_net:
            ipv4_address: 10.200.0.15

networks:
    stream_net:
        driver: bridge
        name:  stream_net
        ipam:
           driver: default
           config:
           - subnet: "10.200.0.0/24"
             gateway: "10.200.0.1"
